com.independentsoft.exchange

## Class Item

- java.lang.Object
- - com.independentsoft.exchange.Item

- Direct Known Subclasses:
    Appointment, Contact, DistributionList, Journal, Message, Note, Post, ResponseItem, Task

      public class Item
      extends java.lang.Object

  Represents a generic item in the Exchange store.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Item()` Initializes a new instance of the Item class.
    `Item(MimeContent mimeContent)` Initializes a new instance of the Item class.
    `Item(java.lang.String subject)` Initializes a new instance of the Item class.
    `Item(java.lang.String subject, java.lang.String itemClass)` Initializes a new instance of the Item class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RetentionTag` | `getArchiveTag()` Gets the archive tag.
    `java.util.List<AttachmentInfo>` | `getAttachments()` Gets the items or files that are attached to an item in the Exchange store.
    `Body` | `getBody()` Gets the actual body content of a message.
    `java.lang.String` | `getBodyHtmlText()` Gets the html body text.
    `java.lang.String` | `getBodyPlainText()` Gets the html body text.
    `byte[]` | `getBodyRtf()` Gets the Rich Text Format body text.
    `java.util.List<java.lang.String>` | `getCategories()` Gets a collection of strings that identify to which categories an item in the mailbox belongs.
    `java.lang.String` | `getComment()` Gets the comment.
    `ItemId` | `getConversationId()` Gets the identifier of an item or conversation.
    `java.util.Date` | `getCreatedTime()` Gets the date and time that a given item in the mailbox was created.
    `java.lang.String` | `getCulture()` Gets the culture for a given item in a mailbox.
    `java.lang.String` | `getDisplayName()` Gets the display name of the message store.
    `EffectiveRights` | `getEffectiveRights()` Gets the client's rights based on the permission settings for the item or folder.
    `EntityExtractionResult` | `getEntityExtractionResult()` Gets the entity extraction information on the item.
    `java.lang.String` | `getEntryId()` Gets a MAPI entry identifier used to open and edit properties of a particular MAPI object.
    `ExtendedPropertyList` | `getExtendedProperties()` Gets a list of extended properties that are defined on this item.
    `ExtendedProperty` | `getExtendedProperty(ExtendedPropertyPath propertyPath)` Gets a list of extended properties that are defined on this item.
    `Flag` | `getFlag()` Gets the flag.
    `PredictedMessageAction` | `getGroupingAction()` Gets the grouping action.
    `IconIndex` | `getIconIndex()` Gets the icon index.
    `Importance` | `getImportance()` Gets the importance of an item.
    `java.lang.String` | `getInstanceKey()` Gets the instance key.
    `java.lang.String` | `getItemClass()` Gets the message class of an item.
    `ItemId` | `getItemId()` Gets the unique identifier and change key of an item in the Exchange store.
    `java.util.Date` | `getLastModifiedTime()` Gets when an item was last modified.
    `java.lang.String` | `getLastModifierName()` Gets the display name of the last user to modify an item.
    `MimeContent` | `getMimeContent()` Gets the native Multipurpose Internet Mail Extensions (MIME) stream of an object that is represented in base64Binary format.
    `PredictedMessageAction` | `getNextPredictedAction()` Gets the next predicted action.
    `FolderId` | `getParentId()` Gets the identifier of the parent folder that contains the item or folder.
    `java.lang.String` | `getPreview()` Gets the preview.
    `java.util.Date` | `getReminderDueBy()` Gets the date and time when the appointment occurs.
    `boolean` | `getReminderIsSet()` Gets whether a reminder has been set for the appointment in the Exchange store.
    `int` | `getReminderMinutesBeforeStart()` Gets the number of minutes before an event when a reminder is displayed.
    `java.util.Date` | `getRetentionDate()` Gets the retention date.
    `RetentionTag` | `getRetentionTag()` Gets the retention tag.
    `byte[]` | `getRtfCompressed()` Gets the Rich Text Format body text.
    `java.lang.String` | `getSearchKey()` Gets a binary-comparable key that identifies correlated objects for a search.
    `Sensitivity` | `getSensitivity()` Gets the sensitivity level of an item.
    `int` | `getSize()` Gets the size in bytes of an item.
    `java.lang.String` | `getStoreEntryId()` Gets the store entry id.
    `java.lang.String` | `getSubject()` Gets the subject for Exchange store items and response objects.
    `Body` | `getTextBody()` Gets the text body.
    `Body` | `getUniqueBody()` Gets an HTML fragment or plain text which represents the unique body of this conversation.
    `java.lang.String` | `getWebClientEditFormQueryString()` Gets a URL to concatenate to the Outlook Web App endpoint to edit an item in Outlook Web App.
    `java.lang.String` | `getWebClientReadFormQueryString()` Gets a URL to concatenate to the Microsoft Office Outlook Web App endpoint to read an item in Outlook Web App.
    `boolean` | `hasAttachments()` Gets a property that is set to true if an item has attachments at least one visible attachment.
    `boolean` | `hasBlockedImages()` Checks for blocked images.
    `boolean` | `isAssociated()` Gets whether the item is associated with a folder.
    `boolean` | `isBlockStatus()` Checks if is block status.
    `boolean` | `isHidden()` Gets the flag that indicates whether the item is hidden from view in the user interface.
    `void` | `setArchiveTag(RetentionTag archiveTag)` Sets the archive tag.
    `void` | `setBody(Body body)` Sets the actual body content of a message.
    `void` | `setBodyRtf(byte[] rtf)` Sets the Rich Text Format body text.
    `void` | `setCategories(java.util.List<java.lang.String> categories)` Sets a collection of strings that identify to which categories an item in the mailbox belongs.
    `void` | `setComment(java.lang.String comment)` Sets the comment.
    `void` | `setDisplayName(java.lang.String displayName)` Sets the display name of the message store.
    `void` | `setEffectiveRights(EffectiveRights effectiveRights)` Sets the client's rights based on the permission settings for the item or folder.
    `void` | `setFlag(Flag flag)` Sets the flag.
    `void` | `setHidden(boolean isHidden)` Sets the flag that indicates whether the item is hidden from view in the user interface.
    `void` | `setImportance(Importance importance)` Sets the importance of an item.
    `void` | `setItemClass(java.lang.String itemClass)` Sets the message class of an item.
    `void` | `setMimeContent(MimeContent mimeContent)` Sets the native Multipurpose Internet Mail Extensions (MIME) stream of an object that is represented in base64Binary format.
    `void` | `setReminderDueBy(java.util.Date reminderDueBy)` Sets the date and time when the appointment occurs.
    `void` | `setReminderIsSet(boolean reminderIsSet)` Sets whether a reminder has been set for the appointment in the Exchange store.
    `void` | `setReminderMinutesBeforeStart(int reminderMinutesBeforeStart)` Sets the number of minutes before an event when a reminder is displayed.
    `void` | `setRetentionDate(java.util.Date retentionDate)` Sets the retention date.
    `void` | `setRetentionTag(RetentionTag retentionTag)` Sets the retention tag.
    `void` | `setRtfCompressed(byte[] rtfCompressed)` Sets the Rich Text Format body text.
    `void` | `setSensitivity(Sensitivity sensitivity)` Sets the sensitivity level of an item.
    `void` | `setSubject(java.lang.String subject)` Sets the subject for Exchange store items and response objects.
    `java.lang.String` | `toString()` Converts the value of the current Item object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Item

          public Item()

      Initializes a new instance of the Item class.

    - #### Item

          public Item(java.lang.String subject)

      Initializes a new instance of the Item class.
      Parameters:
        `subject` - the subject

    - #### Item

          public Item(java.lang.String subject,
                      java.lang.String itemClass)

      Initializes a new instance of the Item class.
      Parameters:
        `subject` - the subject
        `itemClass` - the item class

    - #### Item

          public Item(MimeContent mimeContent)

      Initializes a new instance of the Item class.
      Parameters:
        `mimeContent` - the mime content

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Item object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getExtendedProperty

          public ExtendedProperty getExtendedProperty(ExtendedPropertyPath propertyPath)

      Gets a list of extended properties that are defined on this item.
      Parameters:
        `propertyPath` - the property path
      Returns:
        the extended property

    - #### getItemId

          public ItemId getItemId()

      Gets the unique identifier and change key of an item in the Exchange store.
      Returns:
        the item id

    - #### getParentId

          public FolderId getParentId()

      Gets the identifier of the parent folder that contains the item or folder.
      Returns:
        the parent id

    - #### getItemClass

          public java.lang.String getItemClass()

      Gets the message class of an item.
      Returns:
        the item class

    - #### setItemClass

          public void setItemClass(java.lang.String itemClass)

      Sets the message class of an item.
      Parameters:
        `itemClass` - the new item class

    - #### getSubject

          public java.lang.String getSubject()

      Gets the subject for Exchange store items and response objects.
      Returns:
        the subject

    - #### setSubject

          public void setSubject(java.lang.String subject)

      Sets the subject for Exchange store items and response objects.
      Parameters:
        `subject` - the new subject

    - #### getMimeContent

          public MimeContent getMimeContent()

      Gets the native Multipurpose Internet Mail Extensions (MIME) stream of an object that is represented in base64Binary format.
      Returns:
        the mime content

    - #### setMimeContent

          public void setMimeContent(MimeContent mimeContent)

      Sets the native Multipurpose Internet Mail Extensions (MIME) stream of an object that is represented in base64Binary format.
      Parameters:
        `mimeContent` - the new mime content

    - #### getSensitivity

          public Sensitivity getSensitivity()

      Gets the sensitivity level of an item.
      Returns:
        the sensitivity

    - #### setSensitivity

          public void setSensitivity(Sensitivity sensitivity)

      Sets the sensitivity level of an item.
      Parameters:
        `sensitivity` - the new sensitivity

    - #### getBody

          public Body getBody()

      Gets the actual body content of a message.
      Returns:
        the body

    - #### setBody

          public void setBody(Body body)

      Sets the actual body content of a message.
      Parameters:
        `body` - the new body

    - #### getRtfCompressed

          public byte[] getRtfCompressed()

      Gets the Rich Text Format body text.
      Returns:
        the rtf compressed

    - #### setRtfCompressed

          public void setRtfCompressed(byte[] rtfCompressed)

      Sets the Rich Text Format body text.
      Parameters:
        `rtfCompressed` - the new rtf compressed

    - #### getBodyRtf

          public byte[] getBodyRtf()

      Gets the Rich Text Format body text.
      Returns:
        the body rtf

    - #### setBodyRtf

          public void setBodyRtf(byte[] rtf)

      Sets the Rich Text Format body text.
      Parameters:
        `rtf` - the new body rtf

    - #### getReminderDueBy

          public java.util.Date getReminderDueBy()

      Gets the date and time when the appointment occurs.
      Returns:
        the reminder due by

    - #### setReminderDueBy

          public void setReminderDueBy(java.util.Date reminderDueBy)

      Sets the date and time when the appointment occurs.
      Parameters:
        `reminderDueBy` - the new reminder due by

    - #### getReminderIsSet

          public boolean getReminderIsSet()

      Gets whether a reminder has been set for the appointment in the Exchange store.
      Returns:
        the reminder is set

    - #### setReminderIsSet

          public void setReminderIsSet(boolean reminderIsSet)

      Sets whether a reminder has been set for the appointment in the Exchange store.
      Parameters:
        `reminderIsSet` - the new reminder is set

    - #### getReminderMinutesBeforeStart

          public int getReminderMinutesBeforeStart()

      Gets the number of minutes before an event when a reminder is displayed.
      Returns:
        the reminder minutes before start

    - #### setReminderMinutesBeforeStart

          public void setReminderMinutesBeforeStart(int reminderMinutesBeforeStart)

      Sets the number of minutes before an event when a reminder is displayed.
      Parameters:
        `reminderMinutesBeforeStart` - the new reminder minutes before start

    - #### getAttachments

          public java.util.List<AttachmentInfo> getAttachments()

      Gets the items or files that are attached to an item in the Exchange store.
      Returns:
        the attachments

    - #### getSize

          public int getSize()

      Gets the size in bytes of an item.
      Returns:
        the size

    - #### getCategories

          public java.util.List<java.lang.String> getCategories()

      Gets a collection of strings that identify to which categories an item in the mailbox belongs.
      Returns:
        the categories

    - #### setCategories

          public void setCategories(java.util.List<java.lang.String> categories)

      Sets a collection of strings that identify to which categories an item in the mailbox belongs.
      Parameters:
        `categories` - the new categories

    - #### getImportance

          public Importance getImportance()

      Gets the importance of an item.
      Returns:
        the importance

    - #### setImportance

          public void setImportance(Importance importance)

      Sets the importance of an item.
      Parameters:
        `importance` - the new importance

    - #### getCreatedTime

          public java.util.Date getCreatedTime()

      Gets the date and time that a given item in the mailbox was created.
      Returns:
        the created time

    - #### hasAttachments

          public boolean hasAttachments()

      Gets a property that is set to true if an item has attachments at least one visible attachment.
      Returns:
        true, if successful

    - #### getCulture

          public java.lang.String getCulture()

      Gets the culture for a given item in a mailbox.
      Returns:
        the culture

    - #### getEffectiveRights

          public EffectiveRights getEffectiveRights()

      Gets the client's rights based on the permission settings for the item or folder.
      Returns:
        the effective rights

    - #### setEffectiveRights

          public void setEffectiveRights(EffectiveRights effectiveRights)

      Sets the client's rights based on the permission settings for the item or folder.
      Parameters:
        `effectiveRights` - the new effective rights

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the display name of the message store.
      Returns:
        the display name

    - #### setDisplayName

          public void setDisplayName(java.lang.String displayName)

      Sets the display name of the message store.
      Parameters:
        `displayName` - the new display name

    - #### getEntryId

          public java.lang.String getEntryId()

      Gets a MAPI entry identifier used to open and edit properties of a particular MAPI object.
      Returns:
        the entry id

    - #### getLastModifierName

          public java.lang.String getLastModifierName()

      Gets the display name of the last user to modify an item.
      Returns:
        the last modifier name

    - #### getLastModifiedTime

          public java.util.Date getLastModifiedTime()

      Gets when an item was last modified.
      Returns:
        the last modified time

    - #### getSearchKey

          public java.lang.String getSearchKey()

      Gets a binary-comparable key that identifies correlated objects for a search.
      Returns:
        the search key

    - #### getBodyHtmlText

          public java.lang.String getBodyHtmlText()

      Gets the html body text.
      Returns:
        the body html text

    - #### getBodyPlainText

          public java.lang.String getBodyPlainText()

      Gets the html body text.
      Returns:
        the body plain text

    - #### isHidden

          public boolean isHidden()

      Gets the flag that indicates whether the item is hidden from view in the user interface.
      Returns:
        true, if is hidden

    - #### setHidden

          public void setHidden(boolean isHidden)

      Sets the flag that indicates whether the item is hidden from view in the user interface.
      Parameters:
        `isHidden` - the new hidden

    - #### isAssociated

          public boolean isAssociated()

      Gets whether the item is associated with a folder.
      Returns:
        true, if is associated

    - #### getWebClientReadFormQueryString

          public java.lang.String getWebClientReadFormQueryString()

      Gets a URL to concatenate to the Microsoft Office Outlook Web App endpoint to read an item in Outlook Web App.
      Returns:
        the web client read form query string

    - #### getWebClientEditFormQueryString

          public java.lang.String getWebClientEditFormQueryString()

      Gets a URL to concatenate to the Outlook Web App endpoint to edit an item in Outlook Web App.
      Returns:
        the web client edit form query string

    - #### getConversationId

          public ItemId getConversationId()

      Gets the identifier of an item or conversation.
      Returns:
        the conversation id

    - #### getStoreEntryId

          public java.lang.String getStoreEntryId()

      Gets the store entry id. It is Base64 string.
      Returns:
        the store entry id

    - #### getUniqueBody

          public Body getUniqueBody()

      Gets an HTML fragment or plain text which represents the unique body of this conversation.
      Returns:
        the unique body

    - #### getComment

          public java.lang.String getComment()

      Gets the comment.
      Returns:
        the comment

    - #### setComment

          public void setComment(java.lang.String comment)

      Sets the comment.
      Parameters:
        `comment` - the new comment

    - #### getFlag

          public Flag getFlag()

      Gets the flag.
      Returns:
        the flag

    - #### setFlag

          public void setFlag(Flag flag)

      Sets the flag.
      Parameters:
        `flag` - the new flag

    - #### getInstanceKey

          public java.lang.String getInstanceKey()

      Gets the instance key.
      Returns:
        the instance key

    - #### getRetentionTag

          public RetentionTag getRetentionTag()

      Gets the retention tag.
      Returns:
        the retention tag

    - #### setRetentionTag

          public void setRetentionTag(RetentionTag retentionTag)

      Sets the retention tag.
      Parameters:
        `retentionTag` - the new retention tag

    - #### getArchiveTag

          public RetentionTag getArchiveTag()

      Gets the archive tag.
      Returns:
        the archive tag

    - #### setArchiveTag

          public void setArchiveTag(RetentionTag archiveTag)

      Sets the archive tag.
      Parameters:
        `archiveTag` - the new archive tag

    - #### getRetentionDate

          public java.util.Date getRetentionDate()

      Gets the retention date.
      Returns:
        the retention date

    - #### setRetentionDate

          public void setRetentionDate(java.util.Date retentionDate)

      Sets the retention date.
      Parameters:
        `retentionDate` - the new retention date

    - #### getPreview

          public java.lang.String getPreview()

      Gets the preview.
      Returns:
        the preview

    - #### getNextPredictedAction

          public PredictedMessageAction getNextPredictedAction()

      Gets the next predicted action.
      Returns:
        the next predicted action

    - #### getGroupingAction

          public PredictedMessageAction getGroupingAction()

      Gets the grouping action.
      Returns:
        the grouping action

    - #### isBlockStatus

          public boolean isBlockStatus()

      Checks if is block status.
      Returns:
        true, if is block status

    - #### hasBlockedImages

          public boolean hasBlockedImages()

      Checks for blocked images.
      Returns:
        true, if successful

    - #### getTextBody

          public Body getTextBody()

      Gets the text body.
      Returns:
        the text body

    - #### getIconIndex

          public IconIndex getIconIndex()

      Gets the icon index.
      Returns:
        the icon index

    - #### getEntityExtractionResult

          public EntityExtractionResult getEntityExtractionResult()

      Gets the entity extraction information on the item.
      Returns:
        the entity extraction result

    - #### getExtendedProperties

          public ExtendedPropertyList getExtendedProperties()

      Gets a list of extended properties that are defined on this item.
      Returns:
        the extended properties